uk.gov.hmrc.play.bootstrap.http

# FrontendErrorHandler

###
Related Doc: package http

#### abstract class FrontendErrorHandler extends HttpErrorHandler with I18nSupport

Linear Supertypes
I18nSupport, I18NSupportLowPriorityImplicits, HttpErrorHandler, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FrontendErrorHandler
2. I18nSupport
3. I18NSupportLowPriorityImplicits
4. HttpErrorHandler
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new FrontendErrorHandler()

### Type Members

1. #### implicit class RequestWithMessagesApi extends AnyRef

   Definition Classes
     I18NSupportLowPriorityImplicits

2. #### implicit class ResultWithMessagesApi extends AnyRef

   Definition Classes
     I18NSupportLowPriorityImplicits

### Abstract Value Members

1. #### abstract def messagesApi: MessagesApi

   Definition Classes
     I18nSupport

2. #### abstract def standardErrorTemplate(pageTitle: String, heading: String, message: String)(implicit request: Request[_]): Html

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def badRequestTemplate(implicit request: Request[_]): Html

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### def internalServerErrorTemplate(implicit request: Request[_]): Html

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def notFoundTemplate(implicit request: Request[_]): Html

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def onClientError(request: RequestHeader, statusCode: Int, message: String): Future[Result]

    Definition Classes
      FrontendErrorHandler → HttpErrorHandler

19. #### def onServerError(request: RequestHeader, exception: Throwable): Future[Result]

    Definition Classes
      FrontendErrorHandler → HttpErrorHandler

20. #### implicit def request2Messages(implicit request: RequestHeader): Messages

    Definition Classes
      I18nSupport

21. #### def resolveError(rh: RequestHeader, ex: Throwable): Result

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from I18nSupport

### Inherited from I18NSupportLowPriorityImplicits

### Inherited from HttpErrorHandler

### Inherited from AnyRef

### Inherited from Any

### Ungrouped